<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>

    <title>{% block title %}Password Manager{% endblock %}</title>
    {% block link %}
        <link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet"/>
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bulma@0.9.0/css/bulma.css"/>
        <link rel="stylesheet"
              href="https://cdn.jsdelivr.net/npm/@fortawesome/fontawesome-free@5.13.1/css/all.min.css"/>
        <link rel="stylesheet" href=" https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css"
              crossorigin="anonymous">
        <link rel="stylesheet" type="text/css" href="{{ static('css/base.css') }}"/>
        <script src="{{ static('js/modal/deleteModal.js') }}"></script>
        <script src="{{ static('js/navbar/navbar.js') }}"></script>
    {% endblock %}
</head>

<body data-user="{{ True if request.user.is_authenticated else False }}">
    {% include 'utils/_delete_modal.html' %}

    <div class="container is-fullheight">
        {% include 'includes/header.html' %}

        <div class="columns">
            <div class="column">
                <h1 class="title">
                    {% block content_title %}Home{% endblock %}
                </h1>
            </div>
            <div class="column">
                <nav class="breadcrumb is-right" aria-label="breadcrumbs">
                    <ul>
                        {% block breadcrumb %}
                            {% set path = request.path.split('?')[0] %}
                            {% set segments = path.split('/') %}
                            {% set breadcrumb_url = '' %}
                            <nav class="breadcrumb">
                                <ol class="breadcrumb-list">
                                    <li class="breadcrumb-item">
                                        <a href="{{ url('index') }}">Home</a>
                                    </li>
                                    {% set ns = namespace(breadcrumb_url='/', index=1) %}
                                    {% for segment in segments[1:] if segment != '' %}
                                        {% set segment_parts = segment.split('_') %}
                                        {% set segment_clean = segment_parts[0]|capitalize %}
                                        {% if not segment_clean.isdigit() %}
                                            {% set ns.breadcrumb_url = ns.breadcrumb_url + segment + '/' %}
                                            {% if loop.last %}
                                                <li class="breadcrumb-item active" aria-current="page">&nbsp;&nbsp;{{ segment_clean }}</li>
                                            {% else %}
                                                <li class="breadcrumb-item"><a href="{{ ns.breadcrumb_url }}">{{ segment_clean }}</a></li>
                                            {% endif %}
                                            {% set ns.index = ns.index + 1 %}
                                        {% endif %}
                                    {% endfor %}
                                </ol>
                            </nav>
                        {% endblock %}
                    </ul>
                </nav>
            </div>
        </div>

        {% block maincontent %}{% endblock %}
    </div>
    {% include "includes/footer.html" %}
</body>
</html>